Bug 13655 - dlz_bind9: logging improvements
Summary: dlz_bind9: logging improvements
Status: RESOLVED FIXED
Alias: None
Product: Samba 4.1 and newer
Classification: Unclassified
Component: DNS plugin (BIND DLZ) (show other bugs)
Version: 4.8.0
Hardware: All All
: P5 normal (vote)
Target Milestone: ---
Assignee: Amitay Isaacs
QA Contact: Samba QA Contact
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-10-15 04:15 UTC by Aaron Haslett
Modified: 2020-09-12 00:05 UTC (History)
2 users (show)

See Also:


Attachments
backported patch for 4.9 (2.31 KB, patch)
2018-12-20 08:40 UTC, Andrew Bartlett
abartlet: review? (gary)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Aaron Haslett 2018-10-15 04:15:50 UTC
dlz_bind9 has to count the number of times the plugin is 'created' by bind's plugin manager so it doesn't repeat setup.  Logging doesn't reflect this reference counting logic properly and so messages like "samba_dlz: shutdown" can, confusingly, come up when the database connection has not actually been severed.
Note: I'm creating this bug for a patch that I've already written.
Comment 1 Andrew Bartlett 2018-12-20 08:32:06 UTC
Fixed in master with 3713905f8b4baa56b1bf571f71009cd77ccda6eb for Samba 4.10.

Backport for 4.9 to be attached.
Comment 2 Andrew Bartlett 2018-12-20 08:40:35 UTC
Created attachment 14749 [details]
backported patch for 4.9

To learn more about what is going on here, backporting the debug messages to 4.9 makes sense.